# AmazonCreateLightsailInstancesFromSnapshotsParameters Object

## Description

Parameters for the Amazon Create Lightsail Instances from Snapshots action.

## Properties

### availabilityZone

Availability zone to create the new instances in.

Type: `string`

Required: Yes

bundleId

ID of the Lightsail bundle to use to create the new instances. If omitted, the bundle saved in the snapshot will be used.

Type: `string`

Required: No

### credentialIds

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deleteTimeInSeconds

Indicates the amount of time (in seconds) after which the new instances will be deleted.

Type: `integer`

Required: No

### duplicateInstanceResolutionMethod

Method to use when an existing instance is found with the desired instance name.

Type: `string`

Valid Values:

* `none`
* `use-existing-instance`

Required: Yes

### finalSnapshotName

Name of the final snapshot when deleting the instances.

Type: `string`

Required: No

### instanceNameComparison

Comparison to use when comparing instance names. Required when `snapshotIdentificationMethod` is `by-instance-name`.

Type: [LightsailInstanceNameComparison](/data-types/lightsailinstancenamecomparison-object.md) object

Required: Conditional

### instances

List of instances to create.

Type: Array of [CreateLightsailInstancesInstance](/data-types/createlightsailinstancesinstance-object.md) objects.

Required: Yes

### keyPairName

Name of the key pair to assign to the new instances.

Type: `string`

Required: No

### regionNames

Regions to use with the action. One and only one region must be specified.

Type: Array of `string`

Required: Yes

### snapshotIdentificationMethod

Method to use to identify the snapshot used to create the new instances. If more than one snapshot is found, the most recent snapshot found will be used.

Type: `string`

Valid Values:

* `all-instance-snapshots`
* `by-instance-name`
* `by-instance-snapshot-name`

Required: Yes

### snapshotNameComparison

Comparison to use when comparing instance snapshot names. Required when `snapshotIdentificationMethod` is `by-instance-snapshot-name`.

Type: [LightsailInstanceNameComparison](/data-types/lightsailinstancesnapshotnamecomparison-object.md) object

Required: Conditional

## Sample JSON

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],
    
    "instances": [
        {
            "instanceName": "instance-$(DATE)",
            "staticIpName": "my-static-ip"
        }
    ],
    
    "duplicateInstanceResolutionMethod": "none",
    
    "snapshotIdentificationMethod": "by-instance-name",
    "instanceNameComparison": {
        "compareType": "starts-with",
        "instanceName": "instance-"
    },
    "availabilityZone": "us-east-1a",
    
    "keyPairName": "my-key-pair",

    "deleteTimeInSeconds": 3600,
    "finalSnapshotName": "$(INSTANCENAME)-final-$(DATE)"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/createlightsailinstancesfromsnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
